import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Car here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Car02 extends Enemy
{
    private int speed = -3;

    public Car02(int direction)
    {
        GreenfootImage car02;
        car02 = getImage();
        car02.mirrorHorizontally();
        speed = direction;
    }

    /**
     * Act - do whatever the Car wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        setLocation (getX() + speed, getY());
        if (atWorldEdge() == true)
        {
            removeMe();
        }
    } 

    /**
     * Test if we are close to one of the edges of the world. Return true is we are.
     */
    public boolean atWorldEdge()
    {
        if(getX() < 20 || getX() > getWorld().getWidth() - 20)
            return true;
        if(getY() < 20 || getY() > getWorld().getHeight() - 20)
            return true;
        else
            return false;
    }

    private void removeMe()
    {
        World w = getWorld();
        w.removeObject(this);
    }
}