import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import javax.swing.*;
/**
 * Write a description of class Frogger here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Frogger extends Actor
{
    private Lives livesLeft;
    private Score scorePlus;
    private Time timeLeft;
    int lives = 3;
    int score;
    int time = 1500;
    public Frogger(Lives lives, Score score, Time time)
    {
        livesLeft = lives;
        livesLeft.setValue(3);
        scorePlus = score;   
        scorePlus.setValue(0);
        timeLeft = time;
    }

    /**
     * Act - do whatever the Frogger wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (Greenfoot.isKeyDown("right"))
            setLocation (getX() + 2, getY());
        else if (Greenfoot.isKeyDown("up"))
            setLocation (getX(), getY() - 3);
        else if (Greenfoot.isKeyDown("down"))
            setLocation (getX(), getY() + 3);
        else if (Greenfoot.isKeyDown("left"))
            setLocation (getX() - 2, getY());
        if (onLog()==true)
            moveOnLog();
        if (onTurtle()==true)
            moveOnTurtle();
        if (atTop() == true)
        {
            scorePlus.add(1);
            score = score +1;
            timeLeft.setValue(1500);
            setLocation(300, 690);
        }
        checkDeath();
        if (lives==0)
            gameOver();
        if (score==3)
            gameWon();
    }    

    private void removeMe()
    {
        World w = getWorld();
        w.removeObject(this);
    }

    public void moveOnLog()
    {
        Log brrl = (Log)getIntersectingObjects(Log.class).get(0);
        setLocation(getX()+brrl.getSpeed(), getY());
    }

    public void moveOnTurtle()
    {
        Turtle trtl = (Turtle)getIntersectingObjects(Turtle.class).get(0);
        setLocation(getX()+trtl.getSpeed(), getY());
    }

    public boolean onLog()
    {
        if (getIntersectingObjects(Log.class).size()>0)
            return true;
        else
            return false;
    }

    public void checkDeath()
    {
        if (getY() <= 330 && getY() >= 80 && onLog() == false && onTurtle() == false)
        {
            livesLeft.subtract(1);
            lives = lives - 1;
            setLocation(300, 690);
            
        }
        if (getIntersectingObjects(Enemy.class).size()>0)
        {
            livesLeft.subtract(1);
            lives = lives - 1;
            setLocation(300, 690);
        }
        if (timeLeft.getValue()==0)
        {
            livesLeft.subtract(1);
            lives = lives - 1;
            timeLeft.setValue(1500);
        }
        if (lives == 2)
        {
            timeLeft.setValue(1500);
        }
        if (lives == 1)
        {
            timeLeft.setValue(1500);
        }
    }

    public boolean onTurtle()
    {
        if (getIntersectingObjects(Turtle.class).size()>0)
            return true;
        else
            return false;
    }

    /**
     * test if the ball is at the top or the bottom
     */
    public boolean atTop()
    {
        if (getY() < 30)
            return true;
        else
            return false;
    }

    public void gameWon()
    {
        JOptionPane.showMessageDialog(null, "You win!");
        Greenfoot.stop();
    }

    public void gameOver()
    {
        JOptionPane.showMessageDialog(null, "You lose!");
        Greenfoot.stop();  
    } 
}